Name:           glite-lb-types
Version:        2.0.10
Release:        10%{?dist}
Summary:        Auxiliary build-time component defining LB event types and job status fields

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.types/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/0b9d717540806116ede53bf0fb53376baee48179
Patch0:         %{name}-regex.patch

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog LICENSE
%dir %{_datadir}/glite-lb/
%dir %{_datadir}/glite-lb/at3/
%dir %{perl_vendorlib}/
%dir %{perl_vendorlib}/gLite/
%dir %{perl_vendorlib}/gLite/LB/
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/lb/
%{_bindir}/glite-lb-at3
%{_bindir}/glite-lb-check_version.pl
%{_includedir}/glite/lb/*
%{perl_vendorlib}/gLite/LB/StructField.pm
%{perl_vendorlib}/gLite/LB/MultiStruct.pm
%{_datadir}/glite-lb/at3/events.T
%{_datadir}/glite-lb/at3/status.T
%{_datadir}/glite-lb/at3/types.T


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 František Dvořák <valtri@civ.zcu.cz> - 2.0.10-9
- Patch to fix regex with perl 5.26

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 2.0.10-8
- Perl 5.26 rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.0.10-6
- Perl 5.24 rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.0.10-3
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 2.0.10-2
- Perl 5.20 rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.10-1
- New release 2.0.10 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.0.9-1
- New release 2.0.9 (L&B 4.1.1)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.8-1
- New release 2.0.8 (L&B 4.0.12)
- Enabled parallel build

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.0.7-3
- Perl 5.18 rebuild

* Thu Jun 27 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-2
- Add perl build dependencies

* Tue Jun 25 2013 František Dvořák <valtri@civ.zcu.cz> - 2.0.7-1
- Initial package
